SystemOrganization addCategory: #ConfigurationOfAthens!

Object subclass: #ConfigurationOfAthens
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfAthens'!

!ConfigurationOfAthens commentStamp: '<historical>' prior: 0!
"Load latest stable version "
self loadStable.

"Load latest development version"

self loadDevelopment 


Extras:

Tutorial
self project lastVersion load: 'Tutorial'

"SVG importer"
(note before doing this you need to load XMLParser,
which you can find in Configurations browser)

self project lastVersion load: 'SVG'

!

!ConfigurationOfAthens class methodsFor: 'development support' stamp: 'IgorStasenko 2/6/2012 16:29'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfAthens class methodsFor: 'private' stamp: 'IgorStasenko 2/6/2012 16:29'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfAthens class methodsFor: 'private' stamp: 'IgorStasenko 2/6/2012 16:29'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfAthens class methodsFor: 'private' stamp: 'IgorStasenko 2/6/2012 16:29'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfAthens class methodsFor: 'metacello tool support' stamp: 'IgorStasenko 2/6/2012 16:29'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfAthens class methodsFor: 'loading' stamp: 'IgorStasenko 2/6/2012 16:29'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfAthens class methodsFor: 'loading' stamp: 'IgorStasenko 2/6/2012 16:29'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfAthens class methodsFor: 'loading' stamp: 'IgorStasenko 12/22/2012 01:01'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project latestVersion: #development) load! !

!ConfigurationOfAthens class methodsFor: 'loading' stamp: 'IgorStasenko 12/22/2012 01:01'!
loadStable
	"Load the #stable version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadStable"

	<apiDocumentation>
	^(self project latestVersion: #stable) load! !

!ConfigurationOfAthens class methodsFor: 'loading' stamp: 'IgorStasenko 7/5/2012 08:56'!
loadVersion: aVersion
	"Load the specified version "

	^(self project version: aVersion) load! !

!ConfigurationOfAthens class methodsFor: 'accessing' stamp: 'IgorStasenko 2/6/2012 16:29'!
project

	^self new project! !

!ConfigurationOfAthens class methodsFor: 'development support' stamp: 'IgorStasenko 2/6/2012 16:29'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfAthens methodsFor: 'baselines' stamp: 'JurajKubelka 2/8/2015 11:03'!
baseline10: spec 
        <version: '1.0-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Athens'. 

		spec project: 'ConfigurationOfNativeBoost default' with: [
			spec
				className: 'ConfigurationOfNativeBoost';
				versionString: #'stable';
				loads: #('default' ); "this is optional"
				file: 'NativeBoost-Installer';
				repository: 'http://www.squeaksource.com/NativeBoost' ].

		spec package: 'Athens-Core' .
	
		spec package: 'Athens-Text'  with: [
			spec requires: #('Athens-Core') ].
			
		spec package: 'Athens-Balloon'  with: [
			spec requires: #('Athens-Text') ].
		
		spec package: 'Athens-Morphic'  with: [
			spec requires: #('Athens-Balloon') ].

		spec package: 'Athens-CairoPools'.
	
		spec package: 'Athens-Cairo'  with: [
			spec requires: #( 'ConfigurationOfNativeBoost default' 'Athens-Core' 'Athens-CairoPools' ) ].
	
		spec package: 'Athens-PangoCairo'  with: [
			spec requires: #( 'Athens-Cairo' ) ].
		
		spec package: 'Athens-Examples' with: [
			spec requires: #('Athens-Morphic')].
			
		spec
			group: 'Core' with: #('Athens-Core' );
			group: 'default' with: #('Athens-Morphic' 'Athens-PangoCairo' 'Athens-Examples')
	].

! !

!ConfigurationOfAthens methodsFor: 'baselines' stamp: 'JurajKubelka 2/8/2015 11:02'!
baseline11: spec 
        <version: '1.1-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Athens'. 

		spec project: 'ConfigurationOfNativeBoost default' with: [
			spec
				className: 'ConfigurationOfNativeBoost';
				versionString: #'stable';
				loads: #('default' ); "this is optional"
				file: 'ConfigurationOfNativeBoost';
				repository: 'http://www.squeaksource.com/NativeBoost' ].
			
		spec package: 'Athens-Core' .
	
		spec package: 'Athens-Text'  with: [
			spec requires: #('Athens-Core') ].
			
		spec package: 'Athens-Balloon'  with: [
			spec requires: #('Athens-Text') ].
		
		spec package: 'Athens-Morphic'  with: [
			spec requires: #('Athens-Balloon') ].

		spec package: 'Athens-CairoPools'.
	
		spec package: 'Athens-Cairo'  with: [
			spec requires: #( 'ConfigurationOfNativeBoost default' 'Athens-Core' 'Athens-CairoPools' ) ].
	
		spec package: 'Athens-PangoCairo'  with: [
			spec requires: #( 'Athens-Cairo' ) ].
		
		spec package: 'Athens-Examples' with: [
			spec requires: #('Athens-Morphic')].
			
		spec
			group: 'Core' with: #('Athens-Core' );
			group: 'default' with: #('Athens-Morphic' 'Athens-PangoCairo' 'Athens-Examples')
	].

! !

!ConfigurationOfAthens methodsFor: 'baselines' stamp: 'IgorStasenko 3/28/2013 15:37'!
baseline20: spec 
        <version: '2.0-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/Pharo/Athens/main'. 

		spec package: 'Athens-Core' .
	
		spec package: 'Athens-Text'  with: [
			spec requires: #('Athens-Core') ].
			
		spec package: 'Athens-Balloon'  with: [
			spec requires: #('Athens-Text') ].
		
		spec package: 'Athens-Morphic'  with: [
			spec requires: #('Athens-Balloon') ].

		spec package: 'Athens-CairoPools'.
	
		spec package: 'Athens-Cairo'  with: [
			spec requires: #( 'Athens-Core' 'Athens-CairoPools' ) ].
	
		spec package: 'Athens-PangoCairo'  with: [
			spec requires: #( 'Athens-Cairo' ) ].
		
		spec package: 'Athens-Examples' with: [
			spec requires: #('Athens-Morphic')].
			
		spec
			group: 'Core' with: #('Athens-Core' );
			group: 'default' with: #('Athens-Morphic' 'Athens-PangoCairo' 'Athens-Examples')
	].

! !

!ConfigurationOfAthens methodsFor: 'baselines' stamp: 'IgorStasenko 4/30/2013 01:10'!
baseline21: spec 
        <version: '2.1-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/Pharo/Athens/main'. 

		spec package: 'Athens-Core' .
	
		spec package: 'Athens-Text'  with: [
			spec requires: #('Athens-Core') ].
			
		spec package: 'Athens-Balloon'  with: [
			spec requires: #('Athens-Text') ].
		
		spec package: 'Athens-Morphic'  with: [
			spec requires: #('Athens-Balloon') ].

		spec package: 'Athens-CairoPools'.
	
		spec package: 'Athens-Cairo'  with: [
			spec requires: #( 'Athens-Core' 'Athens-CairoPools' ) ].
	
		spec package: 'Athens-PangoCairo'  with: [
			spec requires: #( 'Athens-Cairo' ) ].
		
		spec package: 'Athens-Examples' with: [
			spec requires: #('Athens-Morphic')].
			
		spec package: 'Athens-Tutorial' with: [
			spec requires: #('Athens-Morphic') ].
			
		spec package: 'Athens-SVG' with: [
			spec requires: #('Athens-Morphic') ].

			
		spec
			group: 'Core' with: #('Athens-Core' );
			group: 'default' with: #('Athens-Morphic' 'Athens-PangoCairo' 'Athens-Examples');
			group: 'Tutorial' with: #('Athens-Tutorial');
			group: 'SVG' with: #('Athens-SVG')
			
		].

! !

!ConfigurationOfAthens methodsFor: 'baselines' stamp: 'FernandoOlivero 8/25/2013 11:02'!
baseline22: spec 
        <version: '2.2-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/Pharo/Athens/main'. 

		spec package: 'Athens-Core' .
	
		spec package: 'Athens-Text'  with: [
			spec requires: #('Athens-Core') ].
			
		spec package: 'Athens-Balloon'  with: [
			spec requires: #('Athens-Text') ].
		
		spec package: 'Athens-Morphic'  with: [
			spec requires: #('Athens-Balloon') ].

		spec package: 'Athens-CairoPools'.
	
		spec package: 'Athens-Cairo'  with: [
			spec requires: #( 'Athens-Core' 'Athens-CairoPools' ) ].
		
		spec package: 'Athens-Examples' with: [
			spec requires: #('Athens-Morphic')].
			
		spec package: 'Athens-Tutorial' with: [
			spec requires: #('Athens-Morphic') ].
			
		spec package: 'Athens-SVG' with: [
			spec requires: #('Athens-Morphic') ].

			
		spec
			group: 'Core' with: #('Athens-Core' );
			group: 'default' with: #('Athens-Morphic' 'Athens-Examples');
			group: 'Tutorial' with: #('Athens-Tutorial');
			group: 'SVG' with: #('Athens-SVG')
			
		].

! !

!ConfigurationOfAthens methodsFor: 'baselines' stamp: 'StephaneDucasse 9/30/2013 21:33'!
baseline23: spec 
        <version: '2.3-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/Pharo/Athens/main'. 

		spec 
			project: 'XMLParser' 
				with: [ spec
						className: 'ConfigurationOfXMLParser';
						versionString: #stable;
						repository: 'http://www.smalltalkhub.com/mc/PharoExtras/XMLParser/main' ].


		spec package: 'Athens-Core' .
	
		spec package: 'Athens-Text'  with: [
			spec requires: #('Athens-Core') ].
			
		spec package: 'Athens-Balloon'  with: [
			spec requires: #('Athens-Text') ].
		
		spec package: 'Athens-Morphic'  with: [
			spec requires: #('Athens-Balloon') ].

		spec package: 'Athens-CairoPools'.
	
		spec package: 'Athens-Cairo'  with: [
			spec requires: #( 'Athens-Core' 'Athens-CairoPools' ) ].
		
		spec package: 'Athens-Examples' with: [
			spec requires: #('Athens-Morphic')].
			
		spec package: 'Athens-Tutorial' with: [
			spec requires: #('Athens-Morphic') ].
			
		spec package: 'Athens-SVG' with: [
			spec requires: #('Athens-Morphic' 'XMLParser') ].

			
		spec
			group: 'Core' with: #('Athens-Core' );
			group: 'default' with: #('Athens-Morphic' 'Athens-Examples');
			group: 'Tutorial' with: #('Athens-Tutorial');
			group: 'SVG' with: #('Athens-SVG')
			
		].

! !

!ConfigurationOfAthens methodsFor: 'symbolic versions' stamp: 'AliakseiSyrel 2/6/2016 20:26'!
development: spec
	<symbolicVersion: #development>
	
	spec for: #'common' version: '2.3-baseline'.! !

!ConfigurationOfAthens methodsFor: 'accessing' stamp: 'IgorStasenko 2/6/2012 16:29'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfAthens methodsFor: 'symbolic versions' stamp: 'AliakseiSyrel 6/9/2016 11:39'!
stable: spec
	<symbolicVersion: #stable>

	spec for: #'pharo2.x' version: '2.1'.
	"after some modification in NB made it incompatible with 3.0"
	spec for: #'pharo3.x' version: '2.3'. 
	spec for: #'pharo4.x' version: '3.2'.
	spec for: #'pharo5.x' version: '3.9.6'.
	spec for: #'pharo6.x' version: '3.9.6'! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'sig 2/29/2012 22:25'!
version011: spec 
        <version: '0.1.1' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec 
				project: 'ConfigurationOfNativeBoost default'  with: '1.0.6';
				package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.21'.
	
			spec package: 'Athens-Core' with: 'Athens-Core-sig.5'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.1'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-sig.3'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.1'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.2'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.7'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.3'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-sig.2'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 3/8/2012 17:53'!
version012: spec 
        <version: '0.1.2' imports: #('1.0-baseline')>

        spec for: #common do: [
               spec blessing: #development.
			spec project: 'ConfigurationOfNativeBoost default'  with: '1.0.8'.

			spec package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.23'.
			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.6'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.4'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.2'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.8'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.3'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.3'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 3/20/2012 15:48'!
version013: spec 
        <version: '0.1.3' imports: #('1.0-baseline')>

        spec for: #common do: [
               spec blessing: #development.

			spec project: 'ConfigurationOfNativeBoost default'  with: '1.0.9'.

			spec package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.24'.
			spec package: 'Athens-Core' with: 'Athens-Core-FernandoOlivero.8'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.4'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.2'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-FernandoOlivero.9'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.5'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-FernandoOlivero.5'.
	].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 3/30/2012 15:36'!
version014: spec 
        <version: '0.1.4' imports: #('1.0-baseline')>

        spec for: #common do: [
               spec blessing: #development.

			spec project: 'ConfigurationOfNativeBoost default'  with: '1.1.0'.

			spec package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.24'.
			spec package: 'Athens-Core' with: 'Athens-Core-FernandoOlivero.8'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.4'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.2'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-FernandoOlivero.9'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.5'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-FernandoOlivero.5'.
	].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'JurajKubelka 2/8/2015 10:59'!
version01: spec 
        <version: '0.1' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec 
				project: 'ConfigurationOfNativeBoost default'  with: '1.0.6';
				package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.21'.
	
			spec package: 'Athens-Core' with: 'Athens-Core-FernandoOlivero.4'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.1'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.2'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.1'.
	
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.1'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.7'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.3'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.1'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 4/20/2012 14:52'!
version10: spec 
        <version: '1.0' imports: #('1.1-baseline')>

        spec for: #common do: [
               spec blessing: #development.

			spec project: 'ConfigurationOfNativeBoost default'  with: '1.1.2'.
			spec package: 'Athens-Core' with: 'Athens-Core-FernandoOlivero.14'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.5'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-FernandoOlivero.3'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.19'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.6'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.11'.
	].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 4/27/2012 15:35'!
version11: spec 
        <version: '1.1' imports: #('1.1-baseline')>

        spec for: #common do: [
               spec blessing: #development.

			spec project: 'ConfigurationOfNativeBoost default'  with: '1.1.2'.
			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.17'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.6'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-FernandoOlivero.3'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.23'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.6'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.13'.
	].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 7/5/2012 08:53'!
version121: spec 
        <version: '1.2.1' imports: #('1.1-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec project: 'ConfigurationOfNativeBoost default'  with: '1.2.1'.
			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.19'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.3'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.6'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-FernandoOlivero.4'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.26'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.6'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.15'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 5/31/2012 02:28'!
version12: spec 
        <version: '1.2' imports: #('1.1-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec project: 'ConfigurationOfNativeBoost default'  with: '1.2'.
			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.18'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.6'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-FernandoOlivero.4'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.25'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.6'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.14'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 8/23/2012 17:52'!
version13: spec 
        <version: '1.3' imports: #('1.1-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec project: 'ConfigurationOfNativeBoost default'  with: '1.3'.
			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.19'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.3'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.6'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.3'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-FernandoOlivero.4'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.26'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.9'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.15'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 9/3/2012 04:00'!
version14: spec 
        <version: '1.4' imports: #('1.1-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec project: 'ConfigurationOfNativeBoost default'  with: '1.4'.

			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.20'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.5'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.7'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.5'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.5'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.28'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.9'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.17'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 12/7/2012 16:23'!
version15: spec 
        <version: '1.5' imports: #('1.1-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec project: 'ConfigurationOfNativeBoost default'  with: '1.8'.

			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.25'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.5'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.7'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.9'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.5'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.31'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.11'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.19'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'DamienPollet 12/22/2012 01:47'!
version16: spec 
        <version: '1.6' imports: #('1.1-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec project: 'ConfigurationOfNativeBoost default'  with: '1.8'.

			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.25'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.5'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.7'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.9'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.5'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.34'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.11'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-DamienPollet.20'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 4/3/2013 06:30'!
version20: spec 
        <version: '2.0' imports: #('2.0-baseline')>

        spec for: #common do: [
                spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.25'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.5'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.7'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.9'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.5'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.36'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.11'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-DamienPollet.20'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 7/3/2013 16:56'!
version21: spec 
        <version: '2.1' imports: #('2.1-baseline')>

        spec for: #common do: [
                spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.32'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.5'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.10'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.18'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.6'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.43'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.11'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.22'.
			
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-IgorStasenko.4'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-IgorStasenko.7'
			
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 8/14/2013 16:34'!
version22: spec 
        <version: '2.2' imports: #('2.1-baseline')>

       spec for: #common do: [
 	 	  spec description: 'update after nativeboost NBExternalStructure refactoring ConfigurationOfNativeBoost 2.2'.
               spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.35'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.6'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.10'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.20'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.8'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.48'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.11'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.25'.
			
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-IgorStasenko.6'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-IgorStasenko.7'
			
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'FernandoOlivero 8/25/2013 11:03'!
version23: spec 
        <version: '2.3' imports: #('2.2-baseline')>

       spec for: #common do: [
 	 	  spec description: 'removing pango cairo from the version, since it was only used for Shapes'.
               spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.35'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.6'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.10'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.20'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.8'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.48'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.25'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-IgorStasenko.6'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-IgorStasenko.7'
			
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'StephaneDucasse 9/30/2013 21:35'!
version24: spec 
        <version: '2.4' imports: #('2.3-baseline')>

       spec for: #common do: [
 	 	  spec description: 'Just added a dependency to XMLParser for SVG on top of
		removing pango cairo from the version, since it was only used for Shapes'.
               spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.35'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.6'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.10'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.20'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.8'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.48'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.25'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-IgorStasenko.6'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-IgorStasenko.7'
			
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 1/31/2014 16:38'!
version25: spec 
        <version: '2.5' imports: #('2.3-baseline')>

       spec for: #common do: [
 	 	  spec description: 'Update 31 Jan 2014'.
               spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-JochenRick.40'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.9'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.15'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-JochenRick.28'.

			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.10'.

			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.61'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.26'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-IgorStasenko.6'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-JochenRick.8'
			
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 4/8/2014 16:17'!
version26: spec 
        <version: '2.6' imports: #('2.3-baseline')>

       spec for: #common do: [
 	 	  spec description: 'Update 8 Apr 2014'.
               spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-JochenRick.40'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.9'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.15'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-JochenRick.28'.

			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.10'.

			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.70'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.30'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-IgorStasenko.6'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-JochenRick.8'
			
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'EstebanLorenzano 12/8/2014 16:42'!
version27: spec 
        <version: '2.7' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: '2014-12-08 16:40'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-NicolaiHess.45'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.15'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-NicolaiHess.19'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.38'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-NicolaiHess.78'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-NicolaiHess.41'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'JurajKubelka 2/8/2015 11:30'!
version28: spec 
        <version: '2.8' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: '2015-02-08T11:28:56.487797-03:00'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-NicolaiHess.45'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-NicolaiHess.19'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.38'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-NicolaiHess.82'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-NicolaiHess.41'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'NicolaiHess 2/17/2015 23:26'!
version29: spec 
        <version: '2.9' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: '2015-02-17T23:22:38.219799+01:00'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-NicolaiHess.46'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-NicolaiHess.19'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.43'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-NicolaiHess.84'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-NicolaiHess.41'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'NicolaiHess 2/26/2015 22:34'!
version30: spec 
        <version: '3.0' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: '2015-02-26T22:34:12.141132+01:00'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-NicolaiHess.46'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-NicolaiHess.19'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.44'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-NicolaiHess.84'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-NicolaiHess.41'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'NicolaiHess 3/22/2015 19:48'!
version31: spec 
        <version: '3.1' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: '2015-03-22T19:46:20.991359+01:00'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-MarcusDenker.50'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.44'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-MarcusDenker.85'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-MarcusDenker.42'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'jb 3/30/2015 16:12'!
version32: spec 
        <version: '3.2' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: '2015-03-24T15:04:20.991359+01:00'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-MarcusDenker.50'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.44'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-jeanbaptistearnaud.86'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'NicolaiHess 4/27/2015 23:46'!
version34: spec 
        <version: '3.4' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: '2015-04-27T23:43:23.908271+02:00'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-SeanDeNigris.51'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.47'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-NicolaiHess.87'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'maxmattone 6/12/2015 10:42'!
version35: spec 
        <version: '3.5' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: '2015-05-17T22:43:41.968493+02:00'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-maxmattone.54'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.53'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-Nicolaihess.88'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'NicolaiHess 6/27/2015 13:48'!
version36: spec 
        <version: '3.6' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'issue 15760'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-maxmattone.54'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-AlainPlantec.55'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-Nicolaihess.88'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'NicolaiHess 8/1/2015 00:07'!
version37: spec 
        <version: '3.7' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'update'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-maxmattone.54'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-NicolaiHess.57'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-NicolaiHess.90'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-StephaneDucasse.12' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'EstebanLorenzano 2/19/2016 18:04'!
version381: spec 
        <version: '3.8.1' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'Fixed a bug on text rendering in windows (due to changes on UFFI)'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.57'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-EstebanLorenzano.63'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-EstebanLorenzano.114'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'AliakseiSyrel 2/6/2016 20:32'!
version38: spec 
        <version: '3.8' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'Fixed font rendering bug. Improved cairo font metrics provider. Added concept of shadow'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.57'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-EstebanLorenzano.63'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-AliakseiSyrel.113'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'PavelKrivanek 3/31/2016 17:35'!
version391: spec 
        <version: '3.9.1' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'Improved Athens Cairo. Matrix copying bug. fixed kerning to work correctly with ffi'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.57'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-EstebanLorenzano.63'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-PavelKrivanek.121'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'AliakseiSyrel 3/31/2016 18:00'!
version392: spec 
        <version: '3.9.2' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'Improved Athens Cairo. Matrix copying bug. fixed kerning to work correctly with ffi'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.57'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-EstebanLorenzano.63'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-AliakseiSyrel.122'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'MarcusDenker 4/14/2016 13:56'!
version393: spec 
        <version: '3.9.3' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'TxTextView Can not render embedded Morphs'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.57'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-EstebanLorenzano.63'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-NicolaiHess.123'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'AliakseiSyrel 6/4/2016 01:55'!
version394: spec 
        <version: '3.9.4' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'Extended PaintMode to PaintOptions'.
			spec blessing: #development.

			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-AliakseiSyrel.124'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-AliakseiSyrel.15'.
			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.58'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-AliakseiSyrel.65'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'AliakseiSyrel 6/4/2016 01:57'!
version395: spec 
        <version: '3.9.5' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'Removed shadow paint - was wrong decision'.
			spec blessing: #development.

			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-AliakseiSyrel.124'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-AliakseiSyrel.15'.
			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.59'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-AliakseiSyrel.65'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'AliakseiSyrel 6/9/2016 11:42'!
version396: spec 
        <version: '3.9.6' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'Synced configuration'.
			spec blessing: #development.

			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-AliakseiSyrel.124'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-AliakseiSyrel.16'.
			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.62'.
			spec package: 'Athens-Text' with: 'Athens-Text-HenrikNergaard.17'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-AliakseiSyrel.65'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TheIntegrator.45'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'AliakseiSyrel 3/28/2016 18:23'!
version39: spec 
        <version: '3.9' imports: #('2.3-baseline')>

       spec for: #common do: [
			spec description: 'Improved Athens Cairo. Matrix copying bug. fixed kerning to work correctly with ffi'.
			spec blessing: #development.

			spec package: 'Athens-Core' with: 'Athens-Core-AliakseiSyrel.57'.
			spec package: 'Athens-Text' with: 'Athens-Text-NicolaiHess.16'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-MarcusDenker.20'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-EstebanLorenzano.63'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-NicolaiHess.14'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-AliakseiSyrel.120'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-TudorGirba.43'.
			spec package: 'Athens-Tutorial' with: 'Athens-Tutorial-StephaneDucasse.10'.
			spec package: 'Athens-SVG' with: 'Athens-SVG-AliakseiSyrel.16' ]! !
